<?php
// ---------------------------------------------
//	simeray@tektonika.com
//	last modification: 10/12/07
// ---------------------------------------------
/**
 * Define fields and tables name to concerned by migration.
 * Useful when names are not Agora or Spip defaults
 * @package migration
 */

// --------------------------------------------------
//			AGORA 131 TO SPIP 192
// --------------------------------------------------

// --------------------------------------------------
//	spip_rubriques
// --------------------------------------------------
$spip_rubriques = array(
'id_rubrique' 		=> 'id_rubrique',
'id_parent' 		=> 'id_parent',
'titre' 			=> 'titre',
'descriptif' 		=> 'descriptif',
'texte' 			=> 'texte',
'id_secteur' 		=> 'id_secteur',
'maj' 				=> 'maj',
'export' 			=> 'export',
'id_import' 		=> 'id_import',
'statut' 			=> 'statut',
'date_heure' 		=> 'date',
'lang' 				=> 'lang',
'langue_choisie' 	=> 'langue_choisie',
'extra' 			=> 'extra'
);

// --------------------------------------------------
//	spip_articles
// --------------------------------------------------
$spip_articles = array(
'id_article' 		=> 'id_article',
'surtitre' 			=> 'surtitre',
'titre' 			=> 'titre',
'soustitre' 		=> 'soustitre',
'id_rubrique' 		=> 'id_rubrique',
'descriptif' 		=> 'descriptif',
'chapo' 			=> 'chapo',
'texte' 			=> 'texte',
'ps' 				=> 'ps',
'date_heure' 		=> 'date',
'statut' 			=> 'statut',
'id_secteur' 		=> 'id_secteur',
'maj'		 		=> 'maj',
'export'	 		=> 'export',
'date_redac' 		=> 'date_redac',
'visites'	 		=> 'visites',
'referers'	 		=> 'referers',
'popularite' 		=> 'popularite',
'accepter_forum' 	=> 'accepter_forum',
'date_modif' 		=> 'date_modif',
'lang'		 		=> 'lang',
'langue_choisie'	=> 'langue_choisie',
'id_trad'	 		=> 'id_trad',
'extra'		 		=> 'extra',
'id_version'		=> 'id_version',
'nom_site'	 		=> 'nom_site',
'url_site'	 		=> 'url_site'
);

// --------------------------------------------------
//	spip_auteurs
// --------------------------------------------------
$spip_auteurs = array(
'id_auteur' 		=> 'id_auteur',
'nom' 				=> 'nom',
'bio' 				=> 'bio',
'email' 			=> 'email',
'nom_site' 			=> 'nom_site',
'url_site' 			=> 'url_site',
'login' 			=> 'login',
'pass' 				=> 'pass',
'low_sec' 			=> 'low_sec',
'statut' 			=> 'statut',
'maj'		 		=> 'maj',
'pgp'	 			=> 'pgp',
'htpass' 			=> 'htpass',
'en_ligne'	 		=> 'en_ligne',
'imessage'	 		=> 'imessage',
'messagerie' 		=> 'messagerie',
'alea_actuel' 		=> 'alea_actuel',
'alea_futur' 		=> 'alea_futur',
'prefs'		 		=> 'prefs',
'cookie_oubli'		=> 'cookie_oubli',
'source'	 		=> 'source',
'lang'		 		=> 'lang',
'extra' 			=> 'extra'
);

// -------------------------------
//	spip_auteurs_articles
// -------------------------------
$spip_auteurs_articles = array(
'id_auteur' 		=> 'id_auteur',
'id_article' 		=> 'id_article'
);

// -------------------------------
//	spip_auteurs_messages
// -------------------------------
$spip_auteurs_messages = array(
'id_auteur' 		=> 'id_auteur',
'id_message ' 		=> 'id_message ',
'vu' 				=> 'vu'

);

// -------------------------------
//	spip_auteurs_rubriques
// -------------------------------
$spip_auteurs_rubriques = array(
'id_auteur' 		=> 'id_auteur',
'id_rubrique ' 		=> 'id_rubrique '
);

// -------------------------------
//	spip_breves
// -------------------------------
$spip_breves = array(
'id_breve'			=> 'id_breve',
'date_heure'		=> 'date_heure',
'titre'				=> 'titre',
'texte'				=> 'texte',
'lien_titre'		=> 'lien_titre',
'lien_url'			=> 'lien_url',
'statut'			=> 'statut',
'id_rubrique'		=> 'id_rubrique',
'lang'				=> 'lang',
'langue_choisie'	=> 'langue_choisie',
'maj'				=> 'maj',
'extra'				=> 'extra'
);

// -------------------------------
//	spip_caches
// -------------------------------
//  not in agora

// -------------------------------
//	spip_documents
// -------------------------------
$spip_documents = array(
'id_document'		=> 'id_document',
'id_vignette'		=> 'id_vignette',
'id_type'			=> 'id_type',
'titre'				=> 'titre',
'date_heure'		=> 'date',
'descriptif'		=> 'descriptif',
'fichier'			=> 'fichier',
'taille'			=> 'taille',
'largeur'			=> 'largeur',
'hauteur'			=> 'hauteur',
'mode_spip'			=> 'mode',
'idx'				=> 'idx'
);


// -------------------------------
//	spip_documents_articles
// -------------------------------
$spip_documents_articles = array(
'id_document'		=>'id_document',
'id_article'		=>'id_article'
);


// -------------------------------
//	spip_documents_breves
// -------------------------------
$spip_documents_breves = array(
'id_document'		=>'id_document',
'id_breve'			=>'id_breve'
);


// -------------------------------
//	spip_documents_rubriques
// -------------------------------
$spip_documents_rubriques = array(
'id_document'		=>'id_document',
'id_rubrique'		=>'id_rubrique'
);


// -------------------------------
//	spip_forum
// -------------------------------
$spip_forum = array(
'id_forum'			=>'id_forum',
'id_parent'			=>'id_parent',
'id_rubrique'		=>'id_rubrique',
'id_article'		=>'id_article',
'id_breve'			=>'id_breve',
'date_heure'		=>'date_heure',
'titre'				=>'titre',
'texte'				=>'texte',
'auteur'			=>'auteur',
'email_auteur'		=>'email_auteur',
'nom_site'			=>'nom_site',
'url_site'			=>'url_site',
'statut'			=>'statut',
'ip'				=>'ip',
'maj'				=>'maj',
'id_auteur'			=>'id_auteur',
'id_message'		=>'id_message',
'id_syndic'			=>'id_syndic'
);


// -------------------------------
//	spip_groupes_mots
// -------------------------------
$spip_groupes_mots = array(
'id_groupe'			=>'id_groupe',
'titre'				=>'titre',
'unseul'			=>'unseul',
'obligatoire'		=>'obligatoire',
'articles'			=>'articles',
'breves'			=>'breves',
'rubriques'			=>'rubriques',
'syndic'			=>'syndic',
'forum'				=>'forum',
'maj'				=>'maj'
);

/*
skipped, to rebuild
// -------------------------------
//	spip_index
// -------------------------------

// -------------------------------
//	spip_index_dico
// -------------------------------
*/

// -------------------------------
//	spip_messages
// -------------------------------
$spip_messages = array(
'id_message'		=>'id_message',
'titre'				=>'titre',
'texte'				=>'texte',
'type'				=>'type',
'date_heure'		=>'date_heure',
'date_fin'			=>'date_fin',
'rv'				=>'rv',
'statut'			=>'statut',
'id_auteur'			=>'id_auteur',
'maj'				=>'maj'
);

/*
skipped rebuild
// -------------------------------
//	spip_meta
// -------------------------------

// -------------------------------
//	spip_mots
// -------------------------------

// -------------------------------
//	spip_mots_articles
// -------------------------------

// -------------------------------
//	spip_mots_breves
// -------------------------------

// -------------------------------
//	spip_mots_documents
// -------------------------------

// -------------------------------
//	spip_mots_forum
// -------------------------------

// -------------------------------
//	spip_mots_rubriques
// -------------------------------

// -------------------------------
//	spip_mots_syndic
// -------------------------------
*/

/*
skipped, not in agora
// -------------------------------
//	spip_ortho_cache
// -------------------------------

// -------------------------------
//	spip_ortho_dico
// -------------------------------
*/


// -------------------------------
//	spip_petitions
// -------------------------------
$spip_petitions = array(
'id_article'		=>'id_article',
'email_unique'		=>'email_unique',
'site_obli'			=>'site_obli',
'site_unique'		=>'site_unique',
'message'			=>'message',
'texte'				=>'texte',
'maj'				=>'maj'
);

// -------------------------------
//	spip_referers
// -------------------------------
$spip_referers = array(
'referer_md5'		=>'referer_md5',
'date_heure'		=>'date',
'referer'			=>'referer',
'visites'			=>'visites',
'visites_jour'		=>'visites_jour',
'maj'				=>'maj'
);

// -------------------------------
//	spip_referers_articles
// -------------------------------
$spip_referers_articles = array(
'id_article'		=>'id_article',
'referer_md5'		=>'referer_md5',
'date_heure'		=>'date',
'referer'			=>'referer',
'visites'			=>'visites',
'maj'				=>'maj'
);

// -------------------------------
//	spip_signatures
// -------------------------------
$spip_signatures = array(
'id_signature'		=>'id_signature',
'id_article'		=>'id_article',
'date_time'			=>'date_time',
'nom_email'			=>'nom_email',
'ad_email'			=>'ad_email',
'nom_site'			=>'nom_site',
'url_site'			=>'url_site',
'message'			=>'message',
'statut'			=>'statut',
'maj'				=>'maj'
);

/*
skipped, not in agora
// -------------------------------
//	spip_syndic
// -------------------------------
*/

// -------------------------------
//	spip_syndic_articles
// -------------------------------
$spip_syndic_articles = array(
'id_syndic_article'	=>'id_syndic_article',
'id_syndic'			=>'id_syndic',
'titre'				=>'titre',
'url'				=>'url',
'date_heure'		=>'date',
'lesauteurs'		=>'lesauteurs',
'maj'				=>'maj',
'statut'			=>'statut',
'descriptif'		=>'descriptif'
);


// -------------------------------
//	spip_types_documents
//	not modify
// -------------------------------

/*
skipped, not in agora
// -------------------------------
//	spip_versions
// -------------------------------

// -------------------------------
//	spip_versions_fragments
// -------------------------------

*/

// -------------------------------
//	spip_visites
// -------------------------------
$spip_visites = array(
'date_heure'	=>'date',
'visites'		=>'visites',
'maj'			=>'maj'
);


// -------------------------------
//	spip_visites_articles
// -------------------------------
$spip_visites_articles = array(
'date_heure'		=>'date',
'id_article'		=>'id_article',
'visites'			=>'visites',
'maj'				=>'maj'
);

// ----------------------------------------
//		Définition des tables à migrer
// ----------------------------------------
$table_to_migrate = array(
1 => array('from' 	=> 'spip_rubriques',
'to' 	=> 'spip_rubriques',
'field' => $spip_rubriques
),
2 => array('from' 	=> 'spip_articles',
'to' 	=> 'spip_articles',
'field' => $spip_articles
),

3 => array('from' 	=> 'spip_auteurs',
'to' 	=> 'spip_auteurs',
'field' => $spip_auteurs
),

4 => array('from' 	=> 'spip_auteurs_messages',
'to' 	=> 'spip_auteurs_messages',
'field' => $spip_auteurs_messages
),

5 => array('from' 	=> 'spip_auteurs_articles',
'to' 	=> 'spip_auteurs_articles',
'field' => $spip_auteurs_articles
),

6 => array('from' 	=> 'spip_auteurs_rubriques',
'to' 	=> 'spip_auteurs_rubriques',
'field' => $spip_auteurs_rubriques
),

7 => array('from' 	=> 'spip_breves',
'to' 	=> 'spip_breves',
'field' => $spip_breves
),

8 => array('from' 	=> 'spip_documents',
'to' 	=> 'spip_documents',
'field' => $spip_documents
),

9 => array('from' 	=> 'spip_documents_articles',
'to' 	=> 'spip_documents_articles',
'field' => $spip_documents_articles
),

10 => array('from' 	=> 'spip_documents_breves',
'to' 	=> 'spip_documents_breves',
'field' => $spip_documents_breves
),

11 => array('from' 	=> 'spip_documents_rubriques',
'to' 	=> 'spip_documents_rubriques',
'field' => $spip_documents_rubriques
),

12 => array('from' 	=> 'spip_forum',
'to' 	=> 'spip_forum',
'field' => $spip_forum
),

13 => array('from' 	=> 'spip_groupes_mots',
'to' 	=> 'spip_groupes_mots',
'field' => $spip_groupes_mots
),

14 => array('from' 	=> 'spip_petitions',
'to' 	=> 'spip_petitions',
'field' => $spip_petitions
),

15 => array('from' 	=> 'spip_referers',
'to' 	=> 'spip_referers',
'field' => $spip_referers
),

16 => array('from' 	=> 'spip_referers_articles',
'to' 	=> 'spip_referers_articles',
'field' => $spip_referers_articles
),

17 => array('from' 	=> 'spip_signatures',
'to' 	=> 'spip_signatures',
'field' => $spip_signatures
),

18 => array('from' 	=> 'spip_syndic_articles',
'to' 	=> 'spip_syndic_articles',
'field' => $spip_syndic_articles
),

19 => array('from' 	=> 'spip_visites',
'to' 	=> 'spip_visites',
'field' => $spip_visites
)

);

// ----------------------------------------
//		Option surcharge des noms de la table spip auteurs
// ----------------------------------------
$spip_auteurs_source = 'spip_auteurs';
$spip_auteurs_target = 'spip_auteurs';

$spip_documents_source = 'spip_documents';
$spip_documents_target = 'spip_documents';

// ----------------------------------------
//		Conversion statuts auteurs, choix des position
// ----------------------------------------
$statut_auteur = array(
	2 	=> '1comite',
	4 	=> '1comite',
	8 	=> '0minirezo',
	16 	=> '0minirezo'
);

// ----------------------------------------
//		Transposition des types de documents
// ----------------------------------------
$type_mapping = array(
'1' => '1',			// jpg
'2' => '2',			// png
'3' => '3',			// gif
'4' => '4',			// bmp
'5' => '50',		// psd
'6' => '5',			// tiff
'7' => '6',			// aiff
'8' => '7',			// asf
'9' => '8',			// avi
'10' => '22',		// bz2
'11' => '36',		// doc
'12' => '37',		// djvu
'13' => '39',		// eps
'14' => '40',		// gz
'15' => '42',		// html
'16' => '10',		// mid
'17' => '14',		// mov
'18' => '15',		// mp3
'19' => '17',		// mpg
'20' => '18',		// ogg
'21' => '46',		// pdf
'22' => '48',		// ppt
'23' => '49',		// ps
'24' => '19',		// qt
'25' => '20',		// ra
'26' => '21',		// ram
'27' => '22',		// rm
'28' => '52',		// rtf
'29' => '53',		// sdd
'30' => '54',		// sdw
'31' => '55',		// sit
'32' => '57',		// sxi
'33' => '58',		// sxw
'34' => '24',		// swf
'35' => '60',		// tgz
'36' => '63',		// txt
'37' => '25',		// wav
'38' => '65',		// xls
'39' => '66',		// xml
'40' => '26',		// wmv
'41' => '67'		// zip
);
?>